Advisory Details

June 8th, 2012

Symantec Web Gateway Shell Command Injection Remote Code Execution Vulnerability

ZDI-12-090
ZDI-CAN-1435

CVE ID CVE-2012-0297
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Symantec
AFFECTED PRODUCTS Web Gateway
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Symantec Web Gateway. Authentication is not required to exploit this vulnerability.

The specific flaw exists due to insufficiently filtered user-supplied data used in a call to exec() in multiple script pages. The affected scripts are located in '/spywall/ipchange.php' and 'network.php'. There is also a flaw in '/spywall/download_file.php' that allows unauthenticated users to download and delete any file on the server.

VENDOR RESPONSE Symantec has issued an update to correct this vulnerability. More details can be found at:
http://www.symantec.com/security_response/securityupdates/detail.jsp?fid=security_advisory&pvid=security_advisory&year=2012&suid=20120517_00
DISCLOSURE TIMELINE
  • 2011-11-22 - Vulnerability reported to vendor
  • 2012-06-08 - Coordinated public release of advisory
CREDIT Tenable Network Security
BACK TO ADVISORIES